<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$formname = 'Sale Register';
$file = 'salereg_fr.php';

$party = $_POST["party"];
$ptype = $_POST["ptype"];
$dtype = $_POST["dtype"];
//$name = $_POST["name"];


$partycond ="";

if (!empty($party)) {
    $partycond = " AND `party`= '$party'";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
}
 else {

    $mfrmdate = trim($_POST["frmdt"]);
   $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        echo"<script>window.close();</script>";
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        echo"<script>window.close();</script>";
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

//if (!empty($gsttype)) {
//    if ($gsttype == 1) {
//        $gstcond = "AND `oms` = '1'";
//    } else {
//        $gstcond = "AND `oms` = ''";
//    }
//} else {
//    $gstcond = "";
//}
$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $partycond ")or die(mysqli_error($conn));
            $getno = mysqli_num_rows($getpmain);

if (isset($_POST["view"]) || ($_GET["view"])) {


    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }


    </style>
    </head>
    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep2.php");

            

            $getno = mysqli_num_rows($getpmain);
//            print table($getpmain2);

            if ($getno > 0) {
                ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b>Sale Register</b></th>
                            </tr>
<!--                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>-->
                        </table>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="3%;">Sr</th>
                                    <th width="3%;">Voucher</th>
                                    <th width="7%;">Date</th>
                                    <th width="5%;">Direct</th>                                
                                    <th width="5%;" >Shift</th>
                                    <th width="30%;">A/c Name</th>
                                    <th width="8%;">Vehicle No.</th>
                                    <th width="5%;">Slip No.</th>
                                    <th width="22%;" class="text-right">Total Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $ctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";


                                while ($pmain = mysqli_fetch_array($getpmain)) {

                                    $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                    $sparty = mysqli_fetch_array($gparty);
                                    
                                    if ($pmain[direct] == 'Y'){
                                        $direct= "Yes";
                                    } else {
                                        $direct= "No";
                                    }
                                    
                                    $voucher   = $pmain['vouchno'];
                                    $mydt      = $pmain['vouchdt'];
                                    $shift     = $pmain['shift'];
                                    $party     = $sparty['name'];
                                    $vehicleno = $pmain['vehicleno'];
                                    $slipno    = $pmain['slipno'];
                                    $billamt   = $pmain['billamt'];

                                    $ctr++;
                                    Echo"<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' [target]='_blank'>";
                                    Echo"<td>$ctr</td>";
                                    Echo"<td>$voucher</td>";
                                    Echo"<td>$mydt</td>";
                                    Echo"<td>$direct</td>";
                                    Echo"<td>$shift</td>";
                                    Echo"<td>$party</td>";
                                    Echo"<td>$vehicleno</td>";
                                    Echo"<td>$slipno</td>";
                                    Echo"<td class='text-right'>$billamt</td>";
                                    Echo"</tr>";

                                    $ptotbillamt   = $ptotbillamt + $billamt;

                                    if ($_POST["dtype"] == 2) {

                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        Echo "<thead>";
                                        Echo "<tr class='' style='background-color:#BABFC2'>";
                                        Echo "<th style='width:5%;'>Sr</th>";
                                        Echo "<th style='width:4%;'>Product Code</th>";
                                        Echo "<th style='width:15%;'>Product</th>";
                                        Echo "<th style='width:4%;' class='text-right'>Qty.</th>";
                                        Echo "<th style='width:4%;' class='text-right'>Unit</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Rate</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Amount</th>";
                                        Echo "</tr>";
                                        Echo "<thead>";
                                        Echo "<tr>";


                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pamount = 0;
                                        $pqty = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
//                                            print table($gettran);
//                                            die();
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `name`,`prodcode` FROM `product` WHERE `prodcode`='$tran[product]' ") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td >$showitem[prodcode]</td>";
                                            Echo "<td>$showitem[name]</td>";
                                            Echo "<td class='text-right'>$tran[qty]</td>";
                                            Echo "<td class='text-right'>$tran[unit]</td>";
                                            Echo "<td class='text-right'>$tran[rate]</td>";
                                            Echo "<td class='text-right'>$tran[amount]</td>";
                                            Echo "</tr>";

                                            $pqty        = $pqty + $tran['qty'];
                                            $pamount     = $pamount + $tran['amount'];

                                        }

                                        Echo "<tr style='background-color:#d8e0e6'>";
                                        Echo "<td colspan='2'></td>";
                                        Echo "<td class='text-right'>Total </td>";
                                        Echo "<td class='text-right'>$pqty</td>";
                                        Echo "<td class='text-right' ></td>";
                                        Echo "<td class='text-right' ></td>";
                                        Echo "<td class='text-right'>$pamount</td>";
                                        Echo "</tr>";
                                        Echo "</table>";
                                    }
                                }

                                Echo "<tr style='background-color: #98F9F0'>";
                                Echo "<td colspan='7'></td>";
                                Echo "<td class='text-right'><b>Total</b></td>";
                                Echo "<td class='numeric text-right'><b>$ptotbillamt</b></td>";
                                Echo "</tr>";
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>

                <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}

if (isset($_POST["excel"])) {


    
//
//             $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
//                                        AND `vouchdt` <= '$mtodate' ")or die(mysqli_error($conn));


            if ($getno > 0) {
                
                            $contents .= "Sale Register\n";
                               
                            $contents .= "Sr,Voucher,Voucher Date,Direct,Shift,A/c Name,Vehicle No.,Slip No.,Total Amount\n";
                               
                                 
                                $ctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";


                                while ($pmain = mysqli_fetch_array($getpmain)) {

                                    $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                    $sparty = mysqli_fetch_array($gparty);

                                    if ($pmain[direct] == 'Y'){
                                        $direct = "Yes";
                                    } else {
                                        $direct = "No"; 
                                    }
                                    
                                    $voucher   = $pmain['vouchno'];
                                    $mydt      = $pmain['vouchdt'];
                                    $shift     = $pmain['shift'];
                                    $party     = $sparty['name'];
                                    $vehicleno = $pmain['vehicleno'];
                                    $slipno    = $pmain['slipno'];
                                    $billamt   = $pmain['billamt'];

                                    $ctr++;
                                    
                                    $contents .= "$ctr" . ",";
                                    $contents .= "$voucher" . ",";
                                    $contents .= "$mydt" . ",";
                                    $contents .= "$direct" . ",";
                                    $contents .= "$shift" . ",";
                                    $contents .= "$party" . ",";
                                    $contents .= "$vehicleno" . ",";
                                    $contents .= "$slipno" . ",";
                                    $contents .= "$billamt" . "\n";
                                    
                                    $ptotbillamt = $ptotbillamt + $billamt;

                                     if ($_POST["dtype"] == 2) {

                                       $contents .= "Sr,Product Code,Product,Qty.,Unit,Rate,Amount\n";
                                        
                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pamount = 0;
                                        $pqty = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name`,`prodcode` FROM `product` WHERE `code`='$tran[product]' ") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            $contents .= "$ctr2" . ",";
                                            $contents .= "$showitem[prodcode]" . ",";
                                            $contents .= "$showitem[name]" . ",";
                                            $contents .= "$tran[qty]" . ",";
                                            $contents .= "$tran[unit]" . ",";
                                            $contents .= "$tran[rate]" . ",";
                                            $contents .= "$tran[amount]" . "\n";
                                            
                                            $pqty        = $pqty + $tran['qty'];
                                            $pamount     = $pamount + $tran['amount'];

                                        }

                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "Total" . ",";
                                        $contents .= "$pqty" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "$pamount" . "\n";
                                        
                                    }
                                }

                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "" . ",";
                                        $contents .= "Total" . ",";
                                        $contents .= "$ptotbillamt" . "\n";
                               
            }
                            
  
        
        $contents = strip_tags($contents);

        if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
            header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
            print $contents;
        } else {
            header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
            print $contents;
        }
    }

?>